DROP TABLE pracownicy;
DROP TABLE etaty;
DROP TABLE zespoly;


CREATE TABLE etaty (
  nazwa varchar(50) NOT NULL,
  placa_od decimal(8,2) NOT NULL,
  placa_do decimal(8,2) NOT NULL,
  PRIMARY KEY (nazwa)
) ENGINE=InnoDB;

INSERT INTO etaty (nazwa, placa_od, placa_do) VALUES
('Profesor', '3000.00', '4000.00'),
('Adiunkt', '2510.00', '3000.00'),
('Asystent', '1500.00', '2100.00'),
('Doktorant', '800.00', '1000.00'),
('Sekretarka', '1470.00', '1650.00'),
('Dyrektor', '4280.00', '5100.00');

CREATE TABLE zespoly (
  id_zesp int(11) NOT NULL,
  nazwa varchar(50) NOT NULL,
  adres varchar(100) NOT NULL,
  PRIMARY KEY (id_zesp)
) ENGINE=InnoDB;

INSERT INTO zespoly (id_zesp, nazwa, adres) VALUES
(10, 'Administracja', 'Piotrowo 2'),
(20, 'Systemy rozproszone', 'Piotrowo 3a'),
(30, 'Systemy eksperckie', 'Strzelecka 14'),
(40, 'Algorytmy', 'Wieniawskiego 16'),
(50, 'Badania operacyjne', 'Mielzynskiego 30');

CREATE TABLE  pracownicy (
  id_prac int(11) NOT NULL,
  nazwisko varchar(50) NOT NULL,
  imie varchar(50) NOT NULL,
  etat varchar(50) NOT NULL,
  id_szefa int(11) DEFAULT NULL,
  zatrudniony date NOT NULL,
  placa_pod decimal(6,2) NOT NULL,
  placa_dod decimal(6,2) DEFAULT NULL,
  id_zesp int(11) DEFAULT NULL,
  PRIMARY KEY (id_prac),
  INDEX etat_ind (etat),
  INDEX id_szefa_ind (id_szefa),
  INDEX id_zesp_ind (id_zesp),
  FOREIGN KEY (etat) REFERENCES etaty(nazwa) ON DELETE RESTRICT ON UPDATE CASCADE, 
  FOREIGN KEY (id_szefa) REFERENCES pracownicy(id_prac) ON DELETE SET NULL,
  FOREIGN KEY (id_zesp) REFERENCES zespoly(id_zesp) ON DELETE CASCADE
) ENGINE=InnoDB;

INSERT INTO pracownicy (id_prac, nazwisko, imie, etat, id_szefa, zatrudniony, placa_pod, placa_dod, id_zesp) VALUES
(100, 'Marecki', 'Jan', 'Dyrektor', NULL, '1968-01-01', '4730.00', '980.50', 10),
(110, 'Janicki', 'Karol', 'Profesor', 100, '1973-05-01', '3350.00', '610.00', 40),
(120, 'Nowicki', 'Pawel', 'Profesor', 100, '1977-09-01', '3070.00', NULL, 30),
(130, 'Nowak', 'Piotr', 'Profesor', 100, '1968-07-01', '3960.00', NULL, 20),
(140, 'Kowalski', 'Krzysztof', 'Profesor', 130, '1975-09-15', '3230.00', '805.00', 20),
(150, 'Grzybowska', 'Maria', 'Adiunkt', 130, '1977-09-01', '2845.50', NULL, 20),
(160, 'Krakowska', 'Joanna', 'Sekretarka', 130, '1985-03-01', '1590.00', NULL, 20),
(170, 'Opolski', 'Roman', 'Asystent', 130, '1992-10-01', '1839.70', '480.50', 20),
(180, 'Makowski', 'Marek', 'Adiunkt', 100, '1985-02-20', '2610.20', NULL, 10),
(190, 'Kotarski', 'Konrad', 'Asystent', 140, '1993-09-01', '1971.00', NULL, 20),
(200, 'Przywarek', 'Leon', 'Doktorant', 140, '1994-07-15', '900.00', NULL, 30),
(210, 'Kotlarczyk', 'Stefan', 'Doktorant', 130, '1993-10-15', '900.00', '570.60', 30),
(220, 'Siekierski', 'Mateusz', 'Asystent', 110, '1993-10-01', '1889.00', NULL, 20),
(230, 'Dolny', 'Tomasz', 'Asystent', 120, '1992-09-01', '1850.00', '390.00', NULL);

